Transaction (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.Transaction interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Interface Transaction

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractTransaction

public interface Transaction
extends Serializable

A Transaction keeps track of all the tasks that must be run before and after transactional events.

Version:
  $Revision: 1.4 $

Method Summary
`void` | `addPostCommitTask(TransactionTask task)`
`void` | `addPostRollbackTask(TransactionTask task)`
`void` | `addPrePrepareTask(TransactionTask task)`
`void` | `commit(boolean onePhase)`
`int` | `prepare()`
`void` | `rollback()`
`void` | `setBroker(Broker broker)` Called when this transaction has been recovered from disk to re-associate it with the broker in which its being applied.

Method Detail

### addPrePrepareTask

    public void addPrePrepareTask(TransactionTask task)

### addPostCommitTask

    public void addPostCommitTask(TransactionTask task)

### addPostRollbackTask

    public void addPostRollbackTask(TransactionTask task)

### commit

    public void commit(boolean onePhase)
                throws XAException

  Throws:
    `XAException`

### rollback

    public void rollback()
                  throws XAException

  Throws:
    `XAException`

### prepare

    public int prepare()
                throws XAException

  Throws:
    `XAException`

### setBroker

    public void setBroker(Broker broker)

  Called when this transaction has been recovered from disk to re-associate it with the broker in which its being applied.

  Parameters:
    `broker` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.